@import "../assets/font/stylesheet.css";

:root {
  --color-primary: #F2F2F203;

}

*{
  padding: 0;
  text-decoration: none;
  list-style-type: none;
  outline: none;
  border: none;
  font-family: 'Montserrat', sans-serif;
}

html{
  margin: 0 auto;
}

body {
    padding-top: 90px; 
    margin: 0 auto;
    background: #e8e8e88a;
}

.container-all{
  max-width: 768px;
  padding: 0 16px;
  margin: 0 auto;
}

.header-fixed {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 100;
  background: #F2F2F203;
}

.container-header {
  background: #f2f2f2;
  padding: 16px 16px;
  position: static;
  top: 0;
  z-index: 0;
  max-width: 768px;
  margin: 0 auto;
}

.header-inner {
  max-width: 900px;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.logo {
  color: #FFFFFF;
  font-weight: 800;
  font-size: 24px;
}

.logo-text {
  padding-left: 40px;
  color: #FFFFFF;
  font-weight: 800;
  font-size: 24px;
}

.burger {
  font-size: 24px;
  background: none;
  border: none;
  cursor: pointer;
}

.menu-container{
     
     max-width: 768px;
  padding: 0 16px;
  margin: 0 auto;
    z-index: 125;
}

.menu-overlay {
  position: fixed;
  inset: 0;
  background: #F2F2F2;
  opacity: 0;
  visibility: hidden;
  transition: 0.3s;
  z-index: 120;
    
}

.fullscreen-menu {
  position: fixed;
  inset: 0;
  background: #F2F2F203;
  z-index: 130;
  display: flex;
  flex-direction: column;
  transform: translateY(-100%);
  transition: transform 0.4s ease;
}

.fullscreen-menu.active {
  transform: translateY(0);
}

.menu-overlay.active {
  opacity: 1;
  visibility: visible;
}

.menu-logo {
  color: #fff;
  font-size: 24px;
  font-weight: 800;
}

.menu-close {
  font-size: 32px;
  background: none;
  color: #fff;
  cursor: pointer;
}


.container-fullscreen-menu {
  max-width: 768px; 
  width: 90%;
  margin: 0 auto;
  padding: 0 16px;
  display: flex;
  flex-direction: column;
}


.menu-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 30px 0;
}


.menu-links {
  display: flex;
  flex-direction: column;
  align-items: flex-start; 
  gap: 32px;
  margin-top: 50px; 
}


.menu-links a {
  color: #252C52;
  font-size: 32px;
  text-decoration: none;
}


@media (max-width: 450px) {
  .menu-links a {
    font-size: 24px;
  }

  .container-fullscreen-menu {
    padding: 0 12px;
  }
}


.main-dustyoff{
  position: relative;
  align-items: center;
  background: transparent;
  width: 100%;

    
}

.main-container{
      max-width: 768px;
  padding: 0 16px;
  margin: 0 auto;
  padding-top: 15px;
    background: #F2F2F203;
    
}

.main-title{
     font-size: 64px;
  font-style: normal;
  font-weight: 700;
  line-height: 60px;
  color: #252C52;
  margin: 0px 0px -40px;
    text-align: center;
    
}

.main-subtitle{
   margin-top: 24px;
  color: #606060;
      font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 1.8;
    text-align: center;  
    
}

.main-banner{

  mask-image: radial-gradient(
    ellipse 50% 65% at center,
    black 45%,
    transparent 80%
  );
}

.main-banner-img{
    
   background:
    
    radial-gradient(
      circle at 85% 30%,
      rgba(110, 120, 255, 0.60) 0%,
      rgba(110, 120, 255, 0.25) 30%,
      transparent 55%
    ),

    
    radial-gradient(
      circle at 30% 85%,
      rgba(110, 120, 255, 0.60) 0%,
      rgba(110, 120, 255, 0.25) 30%,
      transparent 60%
    ),

    
    linear-gradient(
      180deg,
      #F2F2F203 0%,
      #eef1ff 50%,
      #e3e6ff 100%
    ); 

    
}

.main-banner-img img{
    height: 530px;
  display: block;
  align-items: center;
  padding-top: 60px;

}

@media (max-width: 450px) {
    
  .main-banner {
    mask-image: none;
  }
    
    .main-title {
padding-top: 40px;
  position: relative;
  z-index: 2;
  transform: translateY(-10px);
  
}

.main-banner-img{
    background:#F2F2F203;
    }
    
.button-install {
    margin: 50px auto;
    margin-bottom: 90px;
    
    }
  
  .main-banner-img {
    content: url("../assets/img/iPhone-mobile.svg");
      padding-top: 50px;
      width: 100%;
  }
    .main-container{
    padding: 0 0px;
    }
}


.features {
  padding: 20px;
  background: #F2F2F203;
}



.features__title {
  text-align: center;
  font-size: 48px;
  font-weight: 700;
  color: #2e3555;
  
}


.features__grid {
  display: grid;
  grid-template-columns: repeat(2, minmax(0, 1fr));
  gap: 20px;
}


.feature {
  background: #ffffff;
  padding: 20px;
  border-radius: 22px;

  box-shadow:
    0 10px 25px rgba(0,0,0,0.06),
    0 2px 6px rgba(0,0,0,0.04);

  transition: 0.25s ease;
}

.feature:hover {
  transform: translateY(-6px);
  box-shadow:
    0 18px 40px rgba(0,0,0,0.10),
    0 4px 10px rgba(0,0,0,0.06);
}


.feature__icon {
  width: 48px;
  height: 48px;
  
}


.feature h3 {
  font-size: 22px;
  font-weight: 600;
  color: #2e3555;
  margin: 0px;
  margin-right: 160px;
}

.feature p {
  font-size: 16px;
  line-height: 1.5;
    font-weight: 400;
  color: #7b8199;
     margin: 0px;
}


@media (max-width: 768px) {
  .features {
    padding: 10px;
  }

  .feature {
    padding: 16px;
    border-radius: 16px;
  }

  .feature__icon {
    width: 36px;
    height: 36px;
  }

  .feature h3 {
    font-size: 16px;
    margin-right: 0;
  }

  .feature p {
    font-size: 14px;
  }

}

.container-info-block{
   max-width: 768px;
  margin: 30px auto;
  
  position: relative;
  background: #F2F2F203;
  overflow: hidden;   
}
.info-bloсk{
    position: relative;
    padding: 28px 0;
    background-color: #FFFFFF;
}

info-block-blur{
     mask-image: radial-gradient(
    ellipse 50% 65% at center,
    black 45%,
    transparent 80%
  ); 
}

.info-block-backgraund{
    padding: 5px 30px;
    background:
    
    radial-gradient(
      circle at 150% 150%,
      rgba(110, 120, 255, 0.60) 0%,
      rgba(110, 120, 255, 0.25) 30%,
      transparent 55%
    ),

    
    radial-gradient(
      circle at -50% -50%,
      rgba(110, 120, 255, 0.60) 0%,
      rgba(110, 120, 255, 0.25) 30%,
      transparent 60%
    ),

    
    linear-gradient(
      50deg,
      #f5f6f8 0%,
      #eef1ff 50%,
      #e3e6ff 100%
    );     
}

.info-block-text{
      color: #4433F8;
  text-align: center;
  font-size: 32px;
  font-style: normal;
  font-weight: 500;
  line-height: 30px;
  margin: 50px auto;
    
}

.main-banner-img img{
  display: block;
  width: 100%;
}

.section-title {
  color: #333333;
  text-align: center;
  font-size: 48px;
  font-style: normal;
  font-weight: 600;
  line-height: 40px;
  margin: 50px auto;
}

.section-subtitle {
  width: 40%;
  color: #5a5a5a;
  text-align: center;
  font-size: 24px;
  font-style: Regular;
  font-weight: 400;
  line-height: 40px;
  margin: 0 auto;
}

.image-info img{
 -webkit-mask-image: linear-gradient(
    to top,
    transparent 0%,
    black 40%
  );
  mask-image: linear-gradient(
    to top,
    transparent 0%,
    black 40%
  );
}

.quest{
    position: relative;
}

.quest-container{
  max-width: 768px;
  margin: 0px auto;
  padding: 0px 24px 50px;
  position: relative;
  background: #F2F2F203;
  overflow: hidden;
}

.section-quest-title {
  color: #252C52;
  text-align: center;
  font-size: 48px;
  font-style: normal;
  font-weight: 600;
  line-height: 50px;
  margin: 40px 10px;
}

.quest-list{
    display: flex;
    flex-direction: column;
    gap: 16px;
    margin-top: 32px;
}

.quest-element{ 
  width: calc(100% - 30px);
  max-width: 880px;
  background: #F5F5F5;
  border-radius: 18px;
  padding: 10px 16px;
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(22px);
     box-shadow:
    0 0px 11px rgba(0,0,0,0.30),
     0 0 5px 3px rgba(255,255,255,0.25);
}


.quest-head{
  display: flex;
  justify-content: space-between;
  align-items: center;
  overflow: hidden;
}

.quest-body{
    display: flex;
    justify-content: space-between;
  display: none;
}

.quest-text{
  max-width: 95%;
  color: #6c6c6c;
  font-size: 18px;
  font-style: normal;
  font-weight: 400;
  line-height: 22px;
  margin: 16px 0;
}

.qustions-head-text{
  color: #333333;
  font-size: 18px;
  font-weight: 600;
  line-height: 22px;
}

@media (max-width: 768px) {
  
    .quest-text{
       max-width: 89%; 
    } 
    .container-all{
        padding: 0;
    }
}

.qustions-head-itm{
  display: flex;
  justify-content: center;
  align-items: center;
  width: 42px;
  height: 42px;
 
  border-radius: 8.1px;
}

.quest-element.active .qustions-head-itm{
  
}

.qustions-head-itm-minus{
  display: none;
}


.quest-element.active .qustions-head-itm-plus{
  display: none;
}

.quest-element.active .qustions-head-itm-minus{
  display: block;
}

.qustions-head-itm svg{
  display: flex;
}

.contactus-container {
  max-width: 768px;
  margin: 0 auto;
  padding: 20px 24px 4px;
  position: relative;
  overflow: hidden;
}

.section-contactus-title {
  color: #252C52;
  text-align: center;
  font-size: 48px;
  font-style: normal;
  font-weight: 600;
  line-height: 50px;
  margin: 0 10px;
    padding-top: 50px;
    padding-bottom: 10px;
}

.section-contactus-subtitle {
  color: #6D6D6D;
  text-align: center;
  font-size: 18px;
  font-style: normal;
  font-weight: 400;
  line-height: 30px;
  margin: 0 auto;
    padding-bottom: 40px;
}

.contactus{
  display: flex;
  flex-direction: column;
  gap: 10px;
  border-radius: 22px;
  margin-top: 14px;  
    
}

.contactus-group input,
.contactus-group textarea {
  width: 100%;
  box-sizing: border-box;
  background: #F5F5F5;
  color: #333333;
  border-radius: 18px;
  padding: 18px 20px;
  font-size: 16px;
  line-height: 20px;
  font-weight: 400;
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(22px);
     box-shadow:
    0 0px 11px rgba(0,0,0,0.30),
     0 0 5px 3px rgba(255,255,255,0.25);
}

.contactus-group textarea {
  height: 140px;
  resize: none;
}


.contactus-group input::placeholder,
.contactus-group textarea::placeholder {
  color: #252C5280;
}

.contactus-group button{
  display: flex;
  justify-content: center;
  align-items: center;
  width: 41%;
  height: 59px;
  padding: 17px;
  color: rgb(255, 255, 255);
  font-size: 18px;
  font-weight: 500;
  line-height: 18px;
  letter-spacing: 0.5px;
  text-align: center;
  border-radius: 18px;
  background: #5A54F6;
  margin: 20px auto;
}


.container-footer{
  max-width: 768px;
  padding: 30px 16px;
  margin: 0 auto;
  background-color: #5A54F6;
}

.footer-content{
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 13px;
}

.footer {
  color: #fff;
  text-align: center;
  padding-top: 60px;
}


.footer-title {
  font-size: 24px;
  font-weight: 600;
  color: #FFFFFF;
}

.footer-links {
  display: flex;
  flex-direction: column;
  gap: 30px;
  margin: 40px auto;
  flex-wrap: wrap;
}

.footer-links a {
  color: #fff;
  text-decoration: none;
  font-size: 18px;
  font-weight: 300;
  opacity: 0.9;
}

.footer-links a:hover {
  opacity: 1;
  text-decoration: underline;
}

.copy-text {
  color: #FFFFFF;
  font-size: 16px;
  text-align: center;
}

@media (max-width: 450px){
        .section-subtitle{
        width: 100%;
            
    }

    .footer-links{
        gap: 40px;
    }
    
    .contactus-group button{
        width: 86%;
        height: 52px;
    }
    .contactus-container{
        padding: 0px 5px 5px;
    } 
    
    .quest-container{
        padding: 20px 5px 70px;
    }
}
.container-pri-pol{
  max-width: 768px;
  padding: 0 16px;
  margin: 0 auto;
  color: #252C52;
}
.container-ter-o-ser{
  max-width: 768px;
  padding: 0 16px;
  margin: 0 auto;
  color: #252C52;
}
.section-title-privacy_policy,
.section-title-terms_of_use{
  color: #252C52;
  text-align: center;
  font-size: 40px;
  padding-top: 50px;
  padding-bottom: 25px;    
  font-style: normal;
  font-weight: 700;
  line-height: 40px;
  margin: 0 auto;  
}

.pri-pol-text{
    color: #252C52;
  text-align: left;
  font-size: 18px;    
  font-style: normal;
  font-weight: 100;
  line-height: 30px;
  margin: 0 auto;   
}

.ter-o-ser-text{
    color: #252C52;
  text-align: left;
  font-size: 18px;    
  font-style: normal;
  font-weight: 100;
  line-height: 30px;
  margin: 0 auto;   
}

.ul-term-pol li {
    position: relative;
    padding-left: 1em;
}

.ul-term-pol li::before {
    content: "-";           
    position: absolute;
    left: 0;
    color: #252C52;
  font-size: 18px;    
  font-style: normal;
  font-weight: 100;
  line-height: 30px;
  margin: 0 auto;   
}